TestList::My2 Struct Reference

`#include <list.test.h>`

## Public Types

typedef int | Type

## Public Member Functions

int | head () const
My2 | tail () const
bool | empty () const
| My2 (int j=0, int m=0, int r=0)

## Public Attributes

int | i
int | max
int | rep
int | repmax

## Member Typedef Documentation

## Type

typedef int TestList::My2::Type

## Constructor & Destructor Documentation

## My2()

TestList::My2::My2 | ( | int | j = `0`,
|  | int | m = `0`,
|  | int | r = `0`
| ) |  |

inline

## Member Function Documentation

## empty()

bool TestList::My2::empty | ( |  | ) | const

inline

## head()

int TestList::My2::head | ( |  | ) | const

inline

## tail()

My2 TestList::My2::tail | ( |  | ) | const

inline

References i, and rep.

## Member Data Documentation

## i

int TestList::My2::i

Referenced by tail().

## max

int TestList::My2::max

## rep

int TestList::My2::rep

Referenced by tail().

## repmax

int TestList::My2::repmax

The documentation for this struct was generated from the following file:

- list.test.h